1.0

1.0

get /v1/clusters/{cluster_id}/commands

Description

List Commands.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCommandListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/commands

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cachestore 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "applied_value": "",
            "description": "",
            "id": "",
            "modifiable": "",
            "name": ""
        }
    ],
    "last_updated_at": "",
    "total_count": ""
}